Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.scheduler
Interface WeightedQueueMBean

    public interface WeightedQueueMBean

Exposes client request scheduling metrics for a particular scheduler queue.

Method Summary
`long` | `getOperations()`
`long[]` | `getRecentLatencyHistogramMicros()`
`double` | `getRecentLatencyMicros()`
`long[]` | `getTotalLatencyHistogramMicros()`
`long` | `getTotalLatencyMicros()`

Method Detail

### getOperations

    long getOperations()

### getTotalLatencyMicros

    long getTotalLatencyMicros()

### getRecentLatencyMicros

    double getRecentLatencyMicros()

### getTotalLatencyHistogramMicros

    long[] getTotalLatencyHistogramMicros()

### getRecentLatencyHistogramMicros

    long[] getRecentLatencyHistogramMicros()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation